DbDataProvider::DbSelectRecordIterator Class Reference

Defines the record iterator class for Table-based iterators. More...

Inheritance diagram for DbDataProvider::DbSelectRecordIterator:
[legend]

## Public Member Functions

auto | memberGate (string key)
| Returns the value of the given field in the current record, if the iterator is valid. More...
Public Member Functions inherited from DbDataProvider::AbstractDbRecordIterator
| constructor (bool release_transaction, AbstractSQLStatement stmt)
| creates the iterator More...
| destructor ()
| rolls back the transaction if a transaction lock was acquired in the constructor and keepTransactionLock() was not called
hash< auto > | getValue ()
| Returns a single record if the iterator is valid. More...
| keepTransactionLock ()
| Ensures that no rollback is performed when the object is destroyed.
bool | next ()
| Increments the row pointer when retrieving rows from a select statement; returns True if there is a row to retrieve, False if not. More...
bool | valid ()
| Returns True if the iterator is valid. More...

## Static Protected Member Functions

static AbstractSQLStatement | prepareStatement (AbstractSQLStatement stmt, hash< auto > select_options)
| Prepares the AbstractSQLStatement object for the iterator.

## Protected Attributes

*hash< auto > | where_cond
| search conditions
Protected Attributes inherited from DbDataProvider::AbstractDbRecordIterator
bool | release_transaction
| release the transaction with a rollback in the destructor?
AbstractSQLStatement | stmt
| the statement being iterated

## Detailed Description

Defines the record iterator class for Table-based iterators.

## Member Function Documentation

## memberGate()

auto DbDataProvider::DbSelectRecordIterator::memberGate | ( | string | key | ) |

Returns the value of the given field in the current record, if the iterator is valid.

Parameters

  key | the name of the field

Returns
  the value of the given field in the current record, if the iterator is valid

Exceptions

  FIELD-ERROR | invalid or unknown field name